unit VertexShaderObject;

interface

uses Windows, SysUtils, GL, GLu, GLext, WGLext, GLtools, ShaderObjects;

type
  TVertexShaderObject = class(TShaderObject)
  protected
  public
    constructor Create; reintroduce;
    destructor Destroy; override;
  end;

implementation

constructor TVertexShaderObject.Create;
begin
  if not Load_GL_ARB_vertex_shader then
    raise Exception.Create('GL_ARB_vertex_shader required!');

  inherited Create(GL_VERTEX_SHADER_ARB);
end;

destructor TVertexShaderObject.Destroy;
begin
  inherited Destroy;
end;

end.
